summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Schweizer <genstef@gentoo.org>2007-04-16 08:13:40 +0000
committerStefan Schweizer <genstef@gentoo.org>2007-04-16 08:13:40 +0000
commit37202f377e750c2c3c6e59fe634de56088ac34fa (patch)
tree99d2cb90c8a642a0d8cc83cc145ed3dd4980a321 /eclass/linux-mod.eclass
parentchanged dependency from kde-base/pykde to dev-python/pykde as the KDE binding... (diff)
downloadhistorical-37202f377e750c2c3c6e59fe634de56088ac34fa.tar.gz
historical-37202f377e750c2c3c6e59fe634de56088ac34fa.tar.bz2
historical-37202f377e750c2c3c6e59fe634de56088ac34fa.zip
Use update-modules thanks to jakub in bug 174745
Diffstat (limited to 'eclass/linux-mod.eclass')
-rw-r--r--eclass/linux-mod.eclass9
1 files changed, 7 insertions, 2 deletions
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 3659f06a9826..7f2539a17063 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.72 2007/03/01 06:40:28 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.73 2007/04/16 08:13:40 genstef Exp $
# Description: This eclass is used to interface with linux-info in such a way
# to provide the functionality required and initial functions
@@ -183,7 +183,12 @@ update_depmod() {
update_modules() {
debug-print-function ${FUNCNAME} $*
- if [ -x /sbin/modules-update ] && \
+ if [ -x /sbin/update-modules ] && \
+ grep -v -e "^#" -e "^$" ${D}/etc/modules.d/* >/dev/null 2>&1; then
+ ebegin "Updating modules.conf"
+ /sbin/update-modules
+ eend $?
+ elif [ -x /sbin/modules-update ] && \
grep -v -e "^#" -e "^$" ${D}/etc/modules.d/* >/dev/null 2>&1; then
ebegin "Updating modules.conf"
/sbin/modules-update